import multer from 'multer';
import crypto from 'crypto';
import os from 'os';

const tmpFolder = os.tmpdir();

export default {
  tempdir: {
    directory: tmpFolder,

    storage: multer.diskStorage({
      destination: tmpFolder,
      filename(request, file, callback) {
        const fileHash = crypto.randomBytes(10).toString('hex');
        const originalname = file.originalname.replace(/[^0-9-a-zA-Z.]/g, '-');
        const filename = `${fileHash}-${originalname}`;

        return callback(null, filename);
      },
    }),
  },
};
