import { Request, Response } from 'express';
import { container } from 'tsyringe';
import ExempleService from '../../services/exemple/ExempleService';

export default class ExempleController {
  public async exemple(request: Request, response: Response): Promise<Response> {
    const files = Array.isArray(request.files) ? request.files : request.files.pdf;

    const exemple = container.resolve(ExempleService);

    const responseData = await exemple.execute({ files });

    return response.json(responseData);
  }
}
