import 'reflect-metadata';
import 'express-async-errors';
import 'dotenv/config';
import '../containers';

import express from 'express';
import cors from 'cors';
import net from 'net';
import error from './middlewares/error';
import routes from './routes';

const app = express();
app.use(cors());
app.use(express.json({ limit: '50MB' }));
app.use(routes);
app.use(error);

const listener = app.listen(3333, () => {
  const { port } = listener.address() as net.AddressInfo;

  console.log(`Server started on port ${port}`);
});
